#!/bin/sh

export LC_ALL=POSIX

a= . install2-init-functions

AUTOLOGIN_USER=
for TEST_UID in 1000 500
do
    AUTOLOGIN_USER=`cat $destdir/etc/passwd | cut -sd: -f1,3 | grep -e ":$TEST_UID$" | sed 's|:.*||'`
    [ -z "$AUTOLOGIN_USER" ] || break
done

# user not found
[ -n "$AUTOLOGIN_USER" ] || exit 0

# setup autologin
ls -1 $destdir/etc/X11/kdm*/kdmrc 2>/dev/null | \
while read KDMRC
do
    if [ -f "$KDMRC" ]; then
	cp -ar "$KDMRC" "$KDMRC.orig"
	sed -i 's|#AutoLoginEnable=.*|AutoLoginEnable=true|' "$KDMRC"
	sed -i "s|#AutoLoginUser=.*|AutoLoginUser=$AUTOLOGIN_USER|" "$KDMRC"
	# restart session on X-server crash
	#subst 's/#AutoReLogin=.*/AutoReLogin=true/' "$KDMRC"
	# misc
	#subst 's/#GreetString=.*/GreetString=ALT Linux/' "$KDMRC"
    fi
done
